uniform sampler2D tex;

void main()
{
	vec4 texcolor=texture2D(tex,gl_TexCoord[0].st);
	vec2 delta=vec2(0.5,0.5)-gl_TexCoord[0].st;
	delta=normalize(delta);
	delta.y*=-1.0;
	gl_FragColor=delta.xyxy*texcolor*gl_Color.a;
	gl_FragColor.a=1.0;
}
